Index: stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/pi.xsl
===================================================================
--- stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/pi.xsl	(revision f5da8e92f71e3009c439a98e4b1ef7004f867bb4)
+++ stylesheets/lfs-xsl/docbook-xsl-snapshot/fo/pi.xsl	(revision bbe9b3dad184299d621150c9e55f26864b814857)
@@ -53,363 +44,490 @@
 
 <doc:pi name="dbfo_background-color" xmlns="">
-<refpurpose>Sets background color for an image</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo background-color</tag> PI before or
-    after an image (<tag>graphic</tag>, <tag>inlinegraphic</tag>,
-    <tag>imagedata</tag>, or <tag>videodata</tag> element) as a
-    sibling to the element, to set a background color for the
-    image.</para>
-</refdescription>
+  <refpurpose>Sets background color for an image</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo background-color</tag> PI before or
+      after an image (<tag>graphic</tag>, <tag>inlinegraphic</tag>,
+      <tag>imagedata</tag>, or <tag>videodata</tag> element) as a
+      sibling to the element, to set a background color for the
+      image.</para>
+  </refdescription>
   <refsynopsisdiv>
     <synopsis><tag class="xmlpi">dbfo background-color="<replaceable>color</replaceable>"</tag></synopsis>
   </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>background-color="<replaceable>color</replaceable>"</term>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>background-color="<replaceable>color</replaceable>"</term>
+        <listitem>
+          <para>An HTML color value</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="BGcolor.html"
+        >Background color</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_background-color">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'background-color'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi name="dbfo_bgcolor" xmlns="">
+  <refpurpose>Sets background color on a table row or table cell</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo bgcolor</tag> PI as child of a table row
+      or cell to set a background color for that table row or cell.</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo bgcolor="<replaceable>color</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>bgcolor="<replaceable>color</replaceable>"</term>
+        <listitem>
+          <para>An HTML color value</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="BGtableColor.html#CellBGColor"
+        >Cell background color</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_bgcolor">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'bgcolor'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi name="dbfo_float-type" xmlns="">
+  <refpurpose>Specifies float behavior for a sidebar</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo float-type</tag> PI to specify the float
+      behavior for a <tag>sidebar</tag> (to cause the sidebar to be
+      displayed as a marginal note).</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo float-type="margin.note"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>float-type="margin.note"</term>
+        <listitem>
+          <para>Specifies that the <tag>sidebar</tag> should be
+            displayed as a marginal note.</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="params">
+    <para><parameter>sidebar.float.type parameter</parameter>,
+      <parameter>sidebar.float.width parameter</parameter>, 
+      <parameter>sidebar.properties attribute-set</parameter>,
+      <parameter>sidebar.title.properties</parameter>
+    </para>
+  </refsee>
+  <refsee role="tcg">
+    <para><link xlink:href="SideFloats.html#SidebarFloats" >A sidebar as
+        side float</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_float-type">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'float-type'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi name="dbfo_glossary-presentation" xmlns="">
+  <refpurpose>Specifies presentation style for a glossary</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo glossary-presentation</tag> PI as a child of
+      a <tag>glossary</tag> to control its presentation style.</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo glossary-presentation="list"|"blocks"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>glossary-presentation="list"</term>
+        <listitem>
+          <para>Displays the glossary as a list</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>glossary-presentation="blocks"</term>
+        <listitem>
+          <para>Displays the glossary as blocks</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="params">
+    <para><parameter>glossary.as.blocks</parameter></para>
+  </refsee>
+  <refsee role="tcg">
+    <para><link xlink:href="Glossaries.html#GlossaryFormatPrint" >Glossary
+        formatting in print</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_glossary-presentation">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'glossary-presentation'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi name="dbfo_glosslist-presentation" xmlns="">
+  <refpurpose>Specifies presentation style for a glosslist</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo glosslist-presentation</tag> PI as a child of
+      a <tag>glosslist</tag> to control its presentation style.</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo glosslist-presentation="list"|"blocks"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>glosslist-presentation="list"</term>
+        <listitem>
+          <para>Displays the glosslist as a list</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>glosslist-presentation="blocks"</term>
+        <listitem>
+          <para>Displays the glosslist as blocks</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="params">
+    <para><parameter>glosslist.as.blocks</parameter> </para>
+  </refsee>
+  <refsee role="tcg">
+    <para><link xlink:href="Glossaries.html#GlossaryFormatPrint" >Glossary
+        formatting in print</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_glosslist-presentation">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'glosslist-presentation'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi name="dbfo_glossterm-width" xmlns="">
+  <refpurpose>Specifies the glossterm width for a glossary or
+    glosslist</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo glossterm-width</tag> PI as a child of a
+      <tag>glossary</tag> or <tag>glosslist</tag> to specify the
+      width for output of <tag>glossterm</tag> instances in the
+      output.</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo glossterm-width="<replaceable>width</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>glossterm-width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the glossterm width (including units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="params">
+    <para><parameter>glossterm.width</parameter>,
+      <parameter>glossterm.separation</parameter>
+    </para>
+  </refsee>
+  <refsee role="tcg">
+    <para><link xlink:href="Glossaries.html#GlossaryFormatPrint" >Glossary
+        formatting in print</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_glossterm-width">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'glossterm-width'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi name="dbfo_keep-together" xmlns="">
+  <refpurpose>Specifies “keep” behavior for a table, example,
+    figure, or equation</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo keep-together</tag> PI as a child of a
+      formal object (<tag>table</tag>, <tag>example</tag>,
+      <tag>figure</tag>, or <tag>equation</tag>) or their informal
+      equivalents) to specify “keep” behavior for the object (to
+      allow the object to “break” across a page).</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo keep-together="auto"|"always"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>keep-together="auto"</term>
+        <listitem>
+          <para>Enables the object to break across a page</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>keep-together="always"</term>
+        <listitem>
+          <para>Prevents the object from breaking across a page (the
+            default stylesheet behavior)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="params">
+    <para>formal.object.properties</para>
+  </refsee>
+  <refsee role="tcg">
+    <para><link xlink:href="PageBreaking.html#KeepTogetherPI"
+        >Keep-together processing instruction</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_keep-together">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'keep-together'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi name="dbfo_label-width" xmlns="">
+  <refpurpose>Specifies the label width for a qandaset</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo label-width</tag> PI as a child of a
+      <tag>qandaset</tag> to specify the width of labels.</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo label-width="<replaceable>width</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>label-width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the label width (including units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="QandAformat.html"
+        >Q and A formatting</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_label-width">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'label-width'"/>
+  </xsl:call-template>
+</xsl:template> 
+
+<doc:pi name="dbfo_linenumbering.everyNth" xmlns="">
+  <refpurpose>Specifies interval for lines numbers in verbatims</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo linenumbering.everyNth</tag> PI as a child
+      of a “verbatim” element – <tag>programlisting</tag>,
+      <tag>screen</tag>, <tag>synopsis</tag> — to specify
+      the interval at which lines are numbered.</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo linenumbering.everyNth="<replaceable>N</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>linenumbering.everyNth="<replaceable>N</replaceable>"</term>
+        <listitem>
+          <para>Specifies numbering interval; a number is output
+            before every <replaceable>N</replaceable>th line</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="params">
+    <para><parameter>linenumbering.everyNth</parameter></para>
+  </refsee>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="AnnotateListing.html#LineNumbering"
+        >Line numbering</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_linenumbering.everyNth">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'linenumbering.everyNth'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi name="dbfo_linenumbering.separator" xmlns="">
+  <refpurpose>Specifies separator text for line numbers in verbatims</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo linenumbering.separator</tag> PI as a child
+      of a “verbatim” element – <tag>programlisting</tag>,
+      <tag>screen</tag>, <tag>synopsis</tag> — to specify
+      the separator text output between the line numbers and content.</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo linenumbering.separator="<replaceable>text</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>linenumbering.separator="<replaceable>text</replaceable>"</term>
+        <listitem>
+          <para>Specifies the text (zero or more characters)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="params">
+    <para><parameter>linenumbering.separator</parameter></para>
+  </refsee>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="AnnotateListing.html#LineNumbering"
+        >Line numbering</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_linenumbering.separator">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'linenumbering.separator'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi name="dbfo_linenumbering.width" xmlns="">
+  <refpurpose>Specifies width for line numbers in verbatims</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo linenumbering.width</tag> PI as a child
+      of a “verbatim” element – <tag>programlisting</tag>,
+      <tag>screen</tag>, <tag>synopsis</tag> — to specify
+      the width set aside for line numbers.</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo linenumbering.width="<replaceable>width</replaceable>"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>linenumbering.width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the width (inluding units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="params">
+    <para><parameter>linenumbering.width</parameter></para>
+  </refsee>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="AnnotateListing.html#LineNumbering"
+        >Line numbering</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_linenumbering.width">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'linenumbering.width'"/>
+  </xsl:call-template>
+</xsl:template>
+
+<doc:pi name="dbfo_list-presentation" xmlns="">
+  <refpurpose>Specifies presentation style for a variablelist or
+    segmentedlist</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo list-presentation</tag> PI as a child of
+      a <tag>variablelist</tag> or <tag>segmentedlist</tag> to
+      control the presentation style for the list (to cause it, for
+      example, to be displayed as a table).</para>
+  </refdescription>
+  <refsynopsisdiv>
+    <synopsis><tag class="xmlpi">dbfo list-presentation="list"|"blocks"|"table"</tag></synopsis>
+  </refsynopsisdiv>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>list-presentation="list"</term>
+        <listitem>
+          <para>Displays the list as a list</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>list-presentation="blocks"</term>
+        <listitem>
+          <para>(<tag>variablelist</tag> only) Displays the list as blocks</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry><term>list-presentation="table"</term>
+        <listitem>
+          <para>(<tag>segmentedlist</tag> only) Displays the list as a table</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
+  <refsee role="params">
+    <itemizedlist>
       <listitem>
-        <para>FIXME: A color value? [In hex, as a name, or what?]</para>
+        <para><parameter>variablelist.as.blocks</parameter></para>
       </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_background-color">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'background-color'"/>
-  </xsl:call-template>
-</xsl:template>
-
-<doc:pi name="dbfo_bgcolor" xmlns="">
-<refpurpose>Sets background color on an table row or table cell</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo bgcolor</tag> PI as child of a table row
-    or cell to set a background color for that table row or cell.</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo bgcolor="<replaceable>color</replaceable>"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>bgcolor="<replaceable>color</replaceable>"</term>
       <listitem>
-        <para>FIXME: A color value? [In hex, as a name, or what?]</para>
+        <para><parameter>variablelist.as.table</parameter></para>
       </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_bgcolor">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'bgcolor'"/>
-  </xsl:call-template>
-</xsl:template>
-
-<doc:pi name="dbfo_float-type" xmlns="">
-<refpurpose>Specifies float behavior for a sidebar</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo float-type</tag> PI to specify the float
-    behavior for a <tag>sidebar</tag> (to cause the sidebar to be
-  displayed as a marginal note).</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo float-type="margin.note"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>float-type="margin.note"</term>
-      <listitem>
-        <para>Specifies that the <tag>sidebar</tag> should be
-          displayed as a marginal note.</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_float-type">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'float-type'"/>
-  </xsl:call-template>
-</xsl:template>
-
-<doc:pi name="dbfo_glossary-presentation" xmlns="">
-<refpurpose>Specifies presentation style for a glossary</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo glossary-presentation</tag> PI as a child of
-    a <tag>glossary</tag> to control its presentation style.</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo glossary-presentation="list"|"blocks"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>glossary-presentation="list"</term>
-      <listitem>
-        <para>Displayed the glossary as a list</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry><term>glossary-presentation="blocks"</term>
-      <listitem>
-        <para>Displays the glossary as blocks</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_glossary-presentation">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'glossary-presentation'"/>
-  </xsl:call-template>
-</xsl:template>
-
-<doc:pi name="dbfo_glosslist-presentation" xmlns="">
-<refpurpose>Specifies presentation style for a glosslist</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo glosslist-presentation</tag> PI as a child of
-    a <tag>glosslist</tag> to control its presentation style.</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo glosslist-presentation="list"|"blocks"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>glosslist-presentation="list"</term>
-      <listitem>
-        <para>Displayed the glosslist as a list</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry><term>glosslist-presentation="blocks"</term>
-      <listitem>
-        <para>Displays the glosslist as blocks</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_glosslist-presentation">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'glosslist-presentation'"/>
-  </xsl:call-template>
-</xsl:template>
-
-<doc:pi name="dbfo_glossterm-width" xmlns="">
-<refpurpose>Specifies the glossterm width for a glossary or
-  glosslist</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo glossterm-width</tag> PI as a child of a
-    <tag>glossary</tag> or <tag>glosslist</tag> to specify the
-    width for output of <tag>glossterm</tag> instances in the
-    output.</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo glossterm-width="<replaceable>width</replaceable>"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>glossterm-width="<replaceable>width</replaceable>"</term>
-      <listitem>
-        <para>FIXME: Specifies the glossterm width (in what units?)</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_glossterm-width">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'glossterm-width'"/>
-  </xsl:call-template>
-</xsl:template>
-
-<doc:pi name="dbfo_keep-together" xmlns="">
-<refpurpose>Specifies “keep” behavior for a table, example,
-  figure, or equation</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo keep-together</tag> PI as a child of a
-    formal object (<tag>table</tag>, <tag>example</tag>,
-    <tag>figure</tag>, or <tag>equation</tag>) or their informal
-    equivalents) to specify “keep” behavior for the object (to
-    allow the object to “break” across a page).</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo keep-together="auto"|"always"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>keep-together="auto"</term>
-      <listitem>
-        <para>Enables the object to break across a page</para>
-      </listitem>
-    </varlistentry>
-    <varlistentry><term>keep-together="always"</term>
-      <listitem>
-        <para>Prevents the object from breaking across a page (the
-          default stylesheet behavior)</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_keep-together">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'keep-together'"/>
-  </xsl:call-template>
-</xsl:template>
-
-<doc:pi name="dbfo_label-width" xmlns="">
-<refpurpose>Specifies the label width for an itemizedlist,
-  orderedlist, or qandaset</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo label-width</tag> PI as a child of an
-    <tag>itemizedlist</tag>, <tag>orderedlist</tag>, or
-    <tag>qandaset</tag> to specify the width of labels.</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo label-width="<replaceable>width</replaceable>"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>label-width="<replaceable>width</replaceable>"</term>
-      <listitem>
-        <para>FIXME: Specifies the label width (in what units?)</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_label-width">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'label-width'"/>
-  </xsl:call-template>
-</xsl:template> 
-
-<doc:pi name="dbfo_linenumbering.everyNth" xmlns="">
-<refpurpose>Specifies the interval at which lines are numbered
-  output of verbatim environments</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo linenumbering.everyNth</tag> PI as a child
-    of a “verbatim” element – <tag>programlisting</tag>,
-    <tag>screen</tag>, <tag>synopsis</tag> — to specify
-    the interval at which lines are numbered.</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo linenumbering.everyNth="<replaceable>N</replaceable>"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>linenumbering.everyNth="<replaceable>N</replaceable>"</term>
-      <listitem>
-        <para>FIXME: Specifies numbering interval; a number is
-          output before every <replaceable>N</replaceable>th line</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_linenumbering.everyNth">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis"
-      select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'linenumbering.everyNth'"/>
-  </xsl:call-template>
-</xsl:template>
-
-<doc:pi name="dbfo_linenumbering.separator" xmlns="">
-<refpurpose>Specifies the separator text used between line numbers
-  and content in output of verbatim environments</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo linenumbering.separator</tag> PI as a child
-    of a “verbatim” element – <tag>programlisting</tag>,
-    <tag>screen</tag>, <tag>synopsis</tag> — to specify
-    the separator text output between the line numbers and content.</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo linenumbering.separator="<replaceable>text</replaceable>"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>linenumbering.separator="<replaceable>text</replaceable>"</term>
-      <listitem>
-        <para>FIXME: Specifies the text (zero or more characters)</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_linenumbering.separator">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis"
-      select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'linenumbering.separator'"/>
-  </xsl:call-template>
-</xsl:template>
-
-<doc:pi name="dbfo_linenumbering.width" xmlns="">
-<refpurpose>Specifies the width set aside for line numbers in
-  output of verbatim environments</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo linenumbering.width</tag> PI as a child
-    of a “verbatim” element – <tag>programlisting</tag>,
-    <tag>screen</tag>, <tag>synopsis</tag> — to specify
-    the width set aside for line numbers.</para>
-</refdescription>
-  <refsynopsisdiv>
-    <synopsis><tag class="xmlpi">dbfo linenumbering.width="<replaceable>width</replaceable>"</tag></synopsis>
-  </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>linenumbering.width="<replaceable>width</replaceable>"</term>
-      <listitem>
-        <para>FIXME: Specifies the width (in what units?)</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
-</doc:pi>
-<xsl:template name="pi.dbfo_linenumbering.width">
-  <xsl:param name="node" select="."/>
-  <xsl:call-template name="dbfo-attribute">
-    <xsl:with-param name="pis"
-      select="$node/processing-instruction('dbfo')"/>
-    <xsl:with-param name="attribute" select="'linenumbering.width'"/>
+    </itemizedlist>
+  </refsee>
+  <refsee role="tcg">
+    <para><link role="tcg"
+        xlink:href="Variablelists.html#ListIndents"
+        >Variable list formatting in print</link></para>
+  </refsee>
+</doc:pi>
+<xsl:template name="pi.dbfo_list-presentation">
+  <xsl:param name="node" select="."/>
+  <xsl:call-template name="dbfo-attribute">
+    <xsl:with-param name="pis" select="$node/processing-instruction('dbfo')"/>
+    <xsl:with-param name="attribute" select="'list-presentation'"/>
   </xsl:call-template>
 </xsl:template>
 
 <doc:pi name="dbfo_list-width" xmlns="">
-<refpurpose>Specifies the width of a horizontal simplelist</refpurpose>
-<refdescription>
-  <para>Use the <tag>dbfo list-width</tag> PI as a child of a
-    <tag>simplelist</tag> whose <tag class="attribute">class</tag>
-    value is <literal>horizontal</literal>, to specify the width
-    of the <tag>simplelist</tag>.</para>
-</refdescription>
+  <refpurpose>Specifies the width of a horizontal simplelist</refpurpose>
+  <refdescription>
+    <para>Use the <tag>dbfo list-width</tag> PI as a child of a
+      <tag>simplelist</tag> whose <tag class="attribute">class</tag>
+      value is <literal>horizontal</literal>, to specify the width
+      of the <tag>simplelist</tag>.</para>
+  </refdescription>
   <refsynopsisdiv>
     <synopsis><tag class="xmlpi">dbfo list-width="<replaceable>width</replaceable>"</tag></synopsis>
   </refsynopsisdiv>
-<refparameter>
-  <variablelist>
-    <varlistentry><term>list-width="<replaceable>width</replaceable>"</term>
-      <listitem>
-        <para>FIXME: Specifies the <tag>simplelist</tag> width (in what units?)</para>
-      </listitem>
-    </varlistentry>
-  </variablelist>
-</refparameter>
+  <refparameter>
+    <variablelist>
+      <varlistentry><term>list-width="<replaceable>width</replaceable>"</term>
+        <listitem>
+          <para>Specifies the <tag>simplelist</tag> width (including units)</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refparameter>
 </doc:pi>
 <xsl:template name="pi.dbfo_list-width">
